POST
/v1/mgmt/user/attributeAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
name*string
Length
1 <= length <= 20displayName*string
Length
1 <= length <= 254type*string
Length
1 <= lengthoptions?object
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
viewPermissions?unknown
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
editPermissions?unknown
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Create or update a single user custom attribute definition (upsert by machine name), using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/user/attribute" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "displayName": "string", "type": "string" }' Was this helpful?